GENPHY_CONFIG_ADVERT(9)

NAME
genphy_config_advert - sanitize and advertise auto-negotiation parameters

SYNOPSIS

int genphy_config_advert(struct phy_device * phydev);

ARGUMENTS

phydev
    target phy_device struct

DESCRIPTION

Writes MII_ADVERTISE with the appropriate values, after sanitizing the values to make sure we only advertise what is supported. Returns < 0 on error, 0 if the PHY's advertisement hasn't changed, and > 0 if it has changed.

COPYRIGHT